<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

<!-- 	<div>
		<h1>HTML Tables and Forms</h1>
	</div> -->

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p>
				<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with the HTML code</em>
			</p>

			<!-- <table> tag defines an HTML table that allows us to represent data in tabular form. -->
			<table border="1">
				<!-- used to group table header content -->
				<thead>
					<!-- defines a table row -->
					<tr>
						<th>Entity</th>
						<th colspan="2">Description</th>
					</tr>
				</thead>
				<!-- used to group body content in HTML table -->
				<tbody>
					<tr>
						<!-- defines a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>Single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower n tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper N tilde</td>
					</tr>
				</tbody>
				<!-- used to group footer content in an HTML table -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<!-- CREATING A FORM -->
		<section>	
			<h2>HTML Forms</h2>
			<p>
				<em>Input elements that make up a form.</em>
			</p>


			<!-- <form> tag creates an HTML form to capture user input. -->
				<!-- "action" attribute is used to define where the information will be sent upon submission -->
			<form action="https://www.google.com/">

				<label for="full_name">Full Name:</label>
				<br>
				<input type="text" name="full_name" id="full_name" required autocomplete>
				<br>

				<label for="birth_date">Birth Date:</label>
				<br>
				<input type="date" name="birth_date" id="birth_date" required>
				<br>

				<label for="age">Age:</label>
				<br>
				<input type="number" name="age" id="age" required>
				<br>

				<br>
				<!-- <select> tag creates an option for dropdown based on the nested option tags -->
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select>
				<br>

				<br>
				<label for="notes">Notes:</label>
				<br>
				<textarea name="notes" id="notes" rows="5"></textarea>
				<br>

				<label>New User:</label>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label>
				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label>
				<br>

				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role1">Student</label>
				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role1">Manager</label>
				<br>

				<br>
				<button>Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
		
	</main>
</body>
</html>